Package org.opensaml.saml.saml2.core.impl

# Class AdviceImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.AdviceImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Advice`

public class AdviceImpl extends AbstractXMLObject implements Advice
A concrete implementation of `Advice`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
`indexedChildren`
Children.

### Fields inherited from interface org.opensaml.saml.saml2.core.Advice

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AdviceImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<AssertionIDRef>`
`getAssertionIDReferences()`
Gets the list of AssertionID references used as advice.
`List<Assertion>`
`getAssertions()`
Gets the list of Assertions used as advice.
`List<AssertionURIRef>`
`getAssertionURIReferences()`
Gets the list of AssertionURI references used as advice.
`List<XMLObject>`
`getChildren()`
Gets the list of all child elements attached to this advice.
`List<XMLObject>`
`getChildren(QName typeOrName)`
Gets the list of child elements attached to this advice that match a particular QName.
`List<EncryptedAssertion>`
`getEncryptedAssertions()`
Gets the list of EncryptedAssertions used as advice.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### indexedChildren

@Nonnull private final IndexedXMLObjectChildrenList<XMLObject> indexedChildren
Children.

## Constructor Details

### AdviceImpl

protected AdviceImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getChildren

@Nonnull @Live public List<XMLObject> getChildren()
Gets the list of all child elements attached to this advice.

Specified by:
  `getChildren` in interface `Advice`
Returns:
  the list of all child elements attached to this advice

### getChildren

@Nonnull @Live public List<XMLObject> getChildren(@Nonnull QName typeOrName)
Gets the list of child elements attached to this advice that match a particular QName.

Specified by:
  `getChildren` in interface `Advice`
Parameters:
  `typeOrName` - the QName of the child elements to return
Returns:
  the list of matching child elements attached to this advice

### getAssertionIDReferences

@Nonnull @Live public List<AssertionIDRef> getAssertionIDReferences()
Gets the list of AssertionID references used as advice.

Specified by:
  `getAssertionIDReferences` in interface `Advice`
Returns:
  the list of AssertionID references used as advice

### getAssertionURIReferences

@Nonnull @Live public List<AssertionURIRef> getAssertionURIReferences()
Gets the list of AssertionURI references used as advice.

Specified by:
  `getAssertionURIReferences` in interface `Advice`
Returns:
  the list of AssertionURI references used as advice

### getAssertions

@Nonnull @Live public List<Assertion> getAssertions()
Gets the list of Assertions used as advice.

Specified by:
  `getAssertions` in interface `Advice`
Returns:
  the list of Assertions used as advice

### getEncryptedAssertions

@Nonnull @Live public List<EncryptedAssertion> getEncryptedAssertions()
Gets the list of EncryptedAssertions used as advice.

Specified by:
  `getEncryptedAssertions` in interface `Advice`
Returns:
  the list of EncryptedAssertions used as advice

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements